
Gisaf - Feature #8669

Groups of map layers

18/07/2019 12:11 - Philippe May

Status: Resolved Start date: 18/07/2019

Priority: Normal Due date:  

Assignee: Philippe May % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Description

It's cumbersome to select several layers. Eg, for some people the "base map" contains layers X, Y, Z, and for others A, B, X, Y.

A practical use of this feature is the underground layers, with the intention of preventing accidents when digging trenches.

Associated revisions

Revision 0585dc56 - 18/07/2019 15:20 - Philippe May

Add MapLayerSelectionComponent (WIP, Refs #8669)

Revision 9ed7a044 - 19/07/2019 09:51 - Philippe May

Add models for base maps (Refs #8669)

Revision 2bb8e3c1 - 19/07/2019 12:31 - Philippe May

Get base maps from the DB; refactorings layerselection to basemap (Refs #8669)

Revision 58ea52ea - 19/07/2019 17:19 - Philippe May

Base map layers: fix remove; refactoring (Refs #8669)

Revision 3f6ab5fb - 20/07/2019 12:13 - Philippe May

Use router for basemaps (WIP experiment, Refs #8669)

History

#1 - 26/07/2019 10:51 - Philippe May

- Status changed from New to Resolved
